Loading...
Searching...
No Matches
casacore::SDSourceHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDSourceHandler.h>`

## Public Member Functions

| SDSourceHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDSourceHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS, marking fields in row which are explicitly handled here
| SDSourceHandler (const SDSourceHandler &other)
| copy ctor
| ~SDSourceHandler ()
SDSourceHandler & | operator= (const SDSourceHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, the handledCols and row arguments are ignored here
void | resetRow (const Record &)
| reset internals given indicated row, use the same MS; just resets the id pointer
void | fill (const Record &row, Int spectralWindowId)
| fill - a source is unique in source name and code
Int | sourceId ()
| get the current source ID

## Private Member Functions

void | clearAll ()
| cleanup everything
void | clearRow ()
| clean up items related to the row
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)
| initialize the stuff dependent on the row

## Private Attributes

RecordFieldPtr< String > | nameKey_p
RecordFieldPtr< String > | codeKey_p
ColumnsIndex * | index_p
MSSource * | msSource_p
MSSourceColumns * | msSourceCols_p
Int | sourceId_p
| the current source ID
Int | nextSourceId_p
| the next source ID to use
Int | restfreq_p
| fields possibly mined from the SDFITS row floating point fields that we can't be certain of their type
Int | vframe_p
RORecordFieldPtr< String > | transiti_p
| String fields.
RORecordFieldPtr< String > | molecule_p
RORecordFieldPtr< String > | object_p
RORecordFieldPtr< String > | obsmode_p
Bool | hasTransition_p
| which optional colums exist
Bool | hasRestFreq_p
Bool | hasSysVel_p
Bool | hasPosition_p
RORecordFieldPtr< Int > | calibrationGroupField_p
| fields which might come from a pre-existin MS
RORecordFieldPtr< Int > | pulsarIdField_p
RORecordFieldPtr< Double > | timeField_p
RORecordFieldPtr< Double > | intervalField_p
RORecordFieldPtr< Array< Double > > | directionField_p
RORecordFieldPtr< Array< Double > > | positionField_p
RORecordFieldPtr< Array< Double > > | properMotionField_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 84 of file SDSourceHandler.h.

## Constructor & Destructor Documentation

## SDSourceHandler() [1/3]

casacore::SDSourceHandler::SDSourceHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDSourceHandler().

## SDSourceHandler() [2/3]

casacore::SDSourceHandler::SDSourceHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS, marking fields in row which are explicitly handled here

References casacore::Record().

## SDSourceHandler() [3/3]

casacore::SDSourceHandler::SDSourceHandler | ( | const SDSourceHandler & | other | ) |

copy ctor

References SDSourceHandler().

## ~SDSourceHandler()

casacore::SDSourceHandler::~SDSourceHandler | ( |  | ) |

inline

Definition at line 96 of file SDSourceHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDSourceHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, the handledCols and row arguments are ignored here

References casacore::Record().

## clearAll()

void casacore::SDSourceHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDSourceHandler().

## clearRow()

void casacore::SDSourceHandler::clearRow | ( |  | ) |

private

clean up items related to the row

## fill()

void casacore::SDSourceHandler::fill | ( | const Record & | row,
|  | Int | spectralWindowId )

fill - a source is unique in source name and code

References casacore::Record().

## initAll()

void casacore::SDSourceHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDSourceHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize the stuff dependent on the row

References casacore::Record().

## operator=()

SDSourceHandler & casacore::SDSourceHandler::operator= | ( | const SDSourceHandler & | other | ) |

assignment operator, uses copy semantics

References SDSourceHandler().

## resetRow()

void casacore::SDSourceHandler::resetRow | ( | const Record & |  | ) |

reset internals given indicated row, use the same MS; just resets the id pointer

References casacore::Record().

## sourceId()

Int casacore::SDSourceHandler::sourceId | ( |  | ) |

inline

get the current source ID

Definition at line 111 of file SDSourceHandler.h.

References sourceId_p.

## Member Data Documentation

## calibrationGroupField_p

RORecordFieldPtr<Int> casacore::SDSourceHandler::calibrationGroupField_p

private

fields which might come from a pre-existin MS

Definition at line 134 of file SDSourceHandler.h.

## codeKey_p

RecordFieldPtr<String> casacore::SDSourceHandler::codeKey_p

private

Definition at line 113 of file SDSourceHandler.h.

## directionField_p

RORecordFieldPtr<Array<Double> > casacore::SDSourceHandler::directionField_p

private

Definition at line 136 of file SDSourceHandler.h.

## hasPosition_p

Bool casacore::SDSourceHandler::hasPosition_p

private

Definition at line 131 of file SDSourceHandler.h.

## hasRestFreq_p

Bool casacore::SDSourceHandler::hasRestFreq_p

private

Definition at line 131 of file SDSourceHandler.h.

## hasSysVel_p

Bool casacore::SDSourceHandler::hasSysVel_p

private

Definition at line 131 of file SDSourceHandler.h.

## hasTransition_p

Bool casacore::SDSourceHandler::hasTransition_p

private

which optional colums exist

Definition at line 131 of file SDSourceHandler.h.

## index_p

ColumnsIndex* casacore::SDSourceHandler::index_p

private

Definition at line 114 of file SDSourceHandler.h.

## intervalField_p

RORecordFieldPtr<Double> casacore::SDSourceHandler::intervalField_p

private

Definition at line 135 of file SDSourceHandler.h.

## molecule_p

RORecordFieldPtr<String> casacore::SDSourceHandler::molecule_p

private

Definition at line 128 of file SDSourceHandler.h.

## msSource_p

MSSource* casacore::SDSourceHandler::msSource_p

private

Definition at line 115 of file SDSourceHandler.h.

## msSourceCols_p

MSSourceColumns* casacore::SDSourceHandler::msSourceCols_p

private

Definition at line 116 of file SDSourceHandler.h.

## nameKey_p

RecordFieldPtr<String> casacore::SDSourceHandler::nameKey_p

private

Definition at line 113 of file SDSourceHandler.h.

## nextSourceId_p

Int casacore::SDSourceHandler::nextSourceId_p

private

the next source ID to use

Definition at line 122 of file SDSourceHandler.h.

## object_p

RORecordFieldPtr<String> casacore::SDSourceHandler::object_p

private

Definition at line 128 of file SDSourceHandler.h.

## obsmode_p

RORecordFieldPtr<String> casacore::SDSourceHandler::obsmode_p

private

Definition at line 128 of file SDSourceHandler.h.

## positionField_p

RORecordFieldPtr<Array<Double> > casacore::SDSourceHandler::positionField_p

private

Definition at line 136 of file SDSourceHandler.h.

## properMotionField_p

RORecordFieldPtr<Array<Double> > casacore::SDSourceHandler::properMotionField_p

private

Definition at line 136 of file SDSourceHandler.h.

## pulsarIdField_p

RORecordFieldPtr<Int> casacore::SDSourceHandler::pulsarIdField_p

private

Definition at line 134 of file SDSourceHandler.h.

## restfreq_p

Int casacore::SDSourceHandler::restfreq_p

private

fields possibly mined from the SDFITS row floating point fields that we can't be certain of their type

Definition at line 126 of file SDSourceHandler.h.

## sourceId_p

Int casacore::SDSourceHandler::sourceId_p

private

the current source ID

Definition at line 119 of file SDSourceHandler.h.

Referenced by sourceId().

## timeField_p

RORecordFieldPtr<Double> casacore::SDSourceHandler::timeField_p

private

Definition at line 135 of file SDSourceHandler.h.

## transiti_p

RORecordFieldPtr<String> casacore::SDSourceHandler::transiti_p

private

String fields.

Definition at line 128 of file SDSourceHandler.h.

## vframe_p

Int casacore::SDSourceHandler::vframe_p

private

Definition at line 126 of file SDSourceHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDSourceHandler.h